/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workprojectdeposit.entity;

import com.jeeplus.modules.workbidingproject.entity.WorkBidingProject;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 保证金模块Entity
 * @author 杨帆
 * @version 2017-12-26
 */
public class WorkProjectDeposit extends DataEntity<WorkProjectDeposit> {
	
	private static final long serialVersionUID = 1L;
	private WorkBidingProject bidingProject;		// 招标项目
	private String bidingOfficeName;		// 投标企业
	private String contacts;		// 联系人
	private String phone;		// 联系电话
	private String email;		// e_mail
	private String companyId;		// 公司id
	private String officeId;		// 部门id
	private String deposit;		// 保证金
	private String depositStatus;		// 保证金状态(1带缴纳,2已缴纳,3已退还,4未退还)
	private String bidingDocumentFee;		// 标书费
	private String bidingDocumentStatus;		// 标书费缴纳状态(带缴纳,已缴纳)
	private String bidingState; //中标状态

	public String getBidingState() {
		return bidingState;
	}

	public void setBidingState(String bidingState) {
		this.bidingState = bidingState;
	}

	public WorkProjectDeposit() {
		super();
	}

	public WorkProjectDeposit(String id){
		super(id);
	}

	@ExcelField(title="招标项目", align=2, sort=7)
	public WorkBidingProject getBidingProject() {
		return bidingProject;
	}

	public void setBidingProject(WorkBidingProject bidingProject) {
		this.bidingProject = bidingProject;
	}
	
	@ExcelField(title="投标企业", align=2, sort=8)
	public String getBidingOfficeName() {
		return bidingOfficeName;
	}

	public void setBidingOfficeName(String bidingOfficeName) {
		this.bidingOfficeName = bidingOfficeName;
	}
	
	@ExcelField(title="联系人", align=2, sort=9)
	public String getContacts() {
		return contacts;
	}

	public void setContacts(String contacts) {
		this.contacts = contacts;
	}
	
	@ExcelField(title="联系电话", align=2, sort=10)
	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	@ExcelField(title="e_mail", align=2, sort=11)
	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	@ExcelField(title="保证金", align=2, sort=12)
	public String getDeposit() {
		return deposit;
	}

	public void setDeposit(String deposit) {
		this.deposit = deposit;
	}
	
	@ExcelField(title="保证金状态(带缴纳,已缴纳,已退还,未退还)", dictType="deposit_status", align=2, sort=13)
	public String getDepositStatus() {
		return depositStatus;
	}

	public void setDepositStatus(String depositStatus) {
		this.depositStatus = depositStatus;
	}
	
	@ExcelField(title="标书费", align=2, sort=14)
	public String getBidingDocumentFee() {
		return bidingDocumentFee;
	}

	public void setBidingDocumentFee(String bidingDocumentFee) {
		this.bidingDocumentFee = bidingDocumentFee;
	}
	
	@ExcelField(title="标书费缴纳状态(带缴纳,已缴纳)", dictType="biding_document_status", align=2, sort=15)
	public String getBidingDocumentStatus() {
		return bidingDocumentStatus;
	}

	public void setBidingDocumentStatus(String bidingDocumentStatus) {
		this.bidingDocumentStatus = bidingDocumentStatus;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
}